Agora RTC Objective-C API Reference Refactor

Properties
AgoraDirectCdnStreamingMediaOptions Class Reference

Inherits <NSObject>.

## Properties
BOOL | publishCameraTrack
BOOL | publishMicrophoneTrack
BOOL | publishCustomAudioTrack
BOOL | publishCustomVideoTrack
BOOL | publishMediaPlayerAudioTrack
NSInteger | publishMediaPlayerId
NSInteger | customVideoTrackId

## Detailed Description

The cdn streaming media options.

## Property Documentation

## ◆ publishCameraTrack

- (BOOL) publishCameraTrack
| readwritenonatomicassign

Determines whether to publish the video of the camera track.

- `YES`: Publish the video track of the camera capturer.
- `NO`: (Default) Do not publish the video track of the camera capturer.

## ◆ publishMicrophoneTrack

- (BOOL) publishMicrophoneTrack
| readwritenonatomicassign

Determines whether to publish the recorded audio.

- `YES`: Publish the recorded audio.
- `NO`: (Default) Do not publish the recorded audio.

## ◆ publishCustomAudioTrack

- (BOOL) publishCustomAudioTrack
| readwritenonatomicassign

Determines whether to publish the audio of the custom audio track.

- `YES`: Publish the audio of the custom audio track.
- `NO`: (Default) Do not publish the audio of the custom audio track.

## ◆ publishCustomVideoTrack

- (BOOL) publishCustomVideoTrack
| readwritenonatomicassign

Determines whether to publish the video of the custom video track.

- `YES`: Publish the video of the custom video track.
- `NO`: (Default) Do not publish the video of the custom video track.

## ◆ publishMediaPlayerAudioTrack

- (BOOL) publishMediaPlayerAudioTrack
| readwritenonatomicassign

Determines whether to publish the audio track of media player source.

- `YES`: Publish the audio track of media player source.
- `NO`: (Default) Do not publish the audio track of media player source.

## ◆ publishMediaPlayerId

- (NSInteger) publishMediaPlayerId
| readwritenonatomicassign

Determines which media player source should be published. This parameter get from function getMediaPlayerId() of AgoraMediaPlayer.

## ◆ customVideoTrackId

- (NSInteger) customVideoTrackId
| readwritenonatomicassign

The custom video track id which will used to publish.